> For the complete documentation index, see [llms.txt](https://docs.receipthero.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.receipthero.io/partners/bank-piloting.md).

# Bank Piloting

## Pilot phase

The aim of this quick piloting is to be able to offer Banks a way to start experimenting with real production receipt data in the internal pilot.

### Why?

Enrolling cards by hand cuts off the "**long-taking-CHD-related-dev-burden**" and receipt data as notification enables the bank to start experimenting with data as soon as possible and might give more insights on the benefits of eReceipts

### Steps

1. Bank creates one endpoint to receive receipt data from us.&#x20;
2. Deliver URL to RH
3. The Banks pilot group (preferably employees) adds some cards to our platform by hand.

   -> <https://receipthero.io/register>
4. Bank delivers details on added cards to RH

   -> <saku@receipthero.io>
5. RH links those cards to the bank's pilot program
6. RH delivers ID for those cards to the bank to match receipts to cards&#x20;
7. The PIlot group makes purchases on **live** RH supported retailers
8. Receipts flow **realtime** to banks backend
   1. Includes receipt data as JSON
   2. URL for rendered receipt
9. Bank experiments with **live, production state, receipt data**&#x20;

### Full Receipt Notification

Webhook request includes following data&#x20;

```
{                
 "receipthero_id": "bef47630-98bf-41c6-84d1-298d6c85ec94",
 "notification_type": "full_receipt_notification",
 "receipt_id": "0439eb4d-9ad9-441b-aaaf-3a93d0153244",
 "receipt_json": "<HeroJSON>",
 "receipt_web_url":"url_to_receipt"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.receipthero.io/partners/bank-piloting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
